Closed Bug 540360 Opened 10 years ago Closed 9 years ago

reftest borderhandling-rules-border.html failed (row height inconsistency)

Categories

(Core :: Layout: Tables, defect)

x86
Windows XP
defect
Not set

Tracking

()

RESOLVED FIXED
mozilla2.0b12

People

(Reporter: jruderman, Assigned: ehsan)

References

(Depends on 1 open bug)

Details

(Keywords: intermittent-failure)

Attachments

(1 file, 1 obsolete file)

WINNT 5.2 mozilla-central debug test reftest on 2010/01/17 19:03:15  
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263783795.1263785240.1769.gz#err0

The height of the row labeled 'row="groups"' differs by 1px between the testcase image and reference image.

This test was added in bug 43178.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263939943.1263942695.25586.gz
WINNT 5.2 mozilla-central debug test reftest on 2010/01/19 14:25:43  
s: win32-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265041319.1265043768.6060.gz
WINNT 5.2 mozilla-central debug test reftest on 2010/02/01 08:21:59
s: win32-slave12
I wonder if bug 543791 (which has a testcase) could be the same as this one.
at least bug 543791 is much more actionable than this one.
Yeah, let's fix bug 543791 and then mark this bug as incomplete.  If it still happens it will be reopened.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1265344651.1265345347.11100.gz
WINNT 5.2 mozilla-central opt test reftest on 2010/02/04 20:37:31
s: win32-slave42
Test disabled: http://hg.mozilla.org/mozilla-central/rev/4cabe72ad940
Whiteboard: [orange] → [orange][test disabled]
Attached patch splitted up test case (obsolete) — Splinter Review
Attached patch Patch (v1)Splinter Review
I rewrote this patch on top of the patch in bug 573960 and made sure that it passes.  This is a band-aid, and the underlying issue must be fixed in bug 543791.  But I think we should take this for the much-needed test coverage here.
Assignee: nobody → ehsan
Attachment #509515 - Attachment is obsolete: true
Status: NEW → ASSIGNED
Attachment #509555 - Flags: review?(bernd_mozilla)
Blocks: 573960
Bernd, I'd really like to take this now that bug 573960 has landed.  Do you have an ETA on the review here?
Comment on attachment 509555 [details] [diff] [review]
Patch (v1)

ETA: now
Attachment #509555 - Flags: review?(bernd_mozilla) → review+
Whiteboard: [orange][test disabled] → [orange][test disabled][needs landing]
http://hg.mozilla.org/mozilla-central/rev/3fd584ee8ed1
Status: ASSIGNED → RESOLVED
Closed: 9 years ago
Flags: in-testsuite+
Resolution: --- → FIXED
Whiteboard: [orange][test disabled][needs landing] → [orange]
Target Milestone: --- → mozilla2.0b12
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.